Skip to main content
PUT
/
devices
/
{deviceId}
/
esim
/
apn
Select an existing APN as preferred
curl --request PUT \
  --url https://api.mobilerun.ai/devices/{deviceId}/esim/apn \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apnId": 123,
  "subId": 123
}
'
{
  "$schema": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Headers

X-Device-Display-ID
integer<int64>
default:0
Required range: x >= 0

Path Parameters

deviceId
string
required

Body

application/json
apnId
integer<int64>
required
subId
integer<int64>
required

Response

No Content